/* Reset the default style */

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

a:link    {text-decoration: none; color: #000000;}
a:visited {text-decoration: none; color: #000000;}
a:hover   {text-decoration: none; color: #000000;}
a:active  {text-decoration: none; color: #000000;}

html,body { min-height: 100%;}

body {
	background-color: #f2f2f2;
	font-size: 16px;
	font-family:  Arial, sans-serif;
	text-decoration: none;
	height: 100vh;
	overflow-y: scroll;
}

.wrapper {
/*	border-radius: 0px;
    background: #ffffff;*/
	max-width: 750px;
	margin-left: auto;
	margin-right: auto;
	
	border-radius: 20px;
	border: 1px solid #a6a6a6;
    background: #fff;
	min-height: 100%;
}

.page {
	display: flex;
	justify-content: center;
	align-items: flex-start;
	flex-wrap: wrap;
	flex-direction: column;
	max-width: 750px;
	min-height: 100%;
}

header {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	width: 100%;
}

.blank-space {
	display: block;
	width: 15%;
}

.logo {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 70%;
	min-width: 250px;
}

.logo-icon {
	display: block;
	margin-top: 5px;
	margin-bottom: 5px;
	margin-right: 10px;
	height: 32px;
}

.logo-title {
 	display: block;
	left: 15px;
    color: #000000;
	font-family: Arial, sans-serif;
    font-size: 2em;
	font-weight:bold;
	margin-right: 10px;
}

.login-container {
	display: flex;
	justify-content: center;
	min-width: 150px;
}

.login, .password {
	display: block;
	border-radius: 5px;
	background: #CCF3C3;
	padding-left: 5px;
	padding-right: 5px;
	margin: 5px;
	cursor: pointer;
}

.register {
	font-size: 0.8em;
    text-decoration: underline;
	cursor: pointer;
}

.register:hover {
	background: #f2f2f2;
}


.navigation-general {
	display: block;
	width: 100%;
	min-width: 250px;
	margin-bottom: 5px;
}

.logo-links {
	display: flex;
	justify-content: center;
}

.logo-links > li {
	display: block;
	font-size: 0.8em;
	list-style-type: none;
	margin-right: 10px;
    text-decoration: underline;
}

.logo-links > li a:hover {
    text-decoration: underline;
}

.search {
	display: flex;
	justify-content: center;
	margin-bottom: 5px;
	width: 100%;
}

.search-text-field {
	border: 1px solid #a6a6a6;
    border-radius: 0px;
	padding-left:0.7em;
	font-size:1em;
	width: 400px;
}

.search-button {
	background: #f2f2f2;
	background-image: url("../images/magnifier.jpg");
	background-repeat: no-repeat;
	background-size: 70%, 70%;
	background-position: center;
	display: inline-block;
	border: 1px solid #a6a6a6;
	padding: 16px;
	width: 16px;
	border-radius: 0px;
	height: 16px;
	cursor: pointer;
}


.top-message {
	background: #E7EEF9;
	margin-top: 10px;
	margin-bottom: 10px;
	margin-left: auto;
	margin-right: auto;
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 20px;
	padding-bottom: 20px;
	display: flex;
	justify-content: center;
	border-radius: 10px;
	margin-bottom: 5px;
	font-size: 1.5em;
	width: 90%;
}

article {
	padding: 10px;
	width: 100%;
}

.tabs-navigation {
	margin-top: 10px;
	padding-bottom: 0px;
	display: flex;
	width: 100%;
}

ul.tabs {
	display: flex;
	justify-content: flex-start;
	width: 100%;
	height: 100%;
	list-style: none;
	margin:0px;
	border-bottom: solid;
    border-width: 1px;
    border-color: #BFBFBF;
}

ul.tabs li {
    display: block;
	font-size: 1em;
	margin-left:10px;
 	border-style: solid;
    border-width: 1px;
    border-color: #BFBFBF;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;

	position:relative;
	top: 1px;
	padding-left:10px;
	padding-right:10px;
	padding-top: 2px;
	padding-bottom: 2px;
	margin-bottom: 0px;
	background: #f2f2f2;
	font-size: 0.8em;

}

ul.tabs li:first-of-type {
	background: #ffffff;
	border-bottom-color: #ffffff;
}


/* https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_breadcrumbs */

.breadcrumb-navigation {
	display: block;
	width: 100%;
}

ul.breadcrumb {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 0px;
    padding-bottom: 0px;
	margin-bottom: 10px;
	border-radius: 5px;
    list-style: none;
/*	background-color: #f2f2f2;*/

}

ul.breadcrumb li {
    display: inline;
	font-size: 0.8em;
}

ul.breadcrumb li+li:before {
    padding: 5px;
    content: ">";
}

ul.breadcrumb li a {
    text-decoration: underline;
}

ul.breadcrumb li a:hover {
    background: #f2f2f2;
}


/* Content */

.line-block {
	display: flex;
	justify-content: flex-start;
	padding-top:0px;
	padding-bottom:0px;
	margin-top:0px;
	margin-bottom:2px;
}


.user-clicks {
	display: inline;
}

.high , .medium, .low, .grey{
	padding-top:0px;
	padding-bottom:0px;
	margin-top:0px;
	margin-bottom:0px;
	margin-right:1px;
	display: block;
	border-radius: 5px;
	width: 70px;
	font-size:0.8em;
	text-align: center;
	flex-shrink: 0;
}

.high {
	background: #CCF3C3;
}

.medium {
	background: #FFC000;
}

.low {
	background: #FF0000;
}

.grey {
	background: #f2f2f2;
}


.folder-links, .user-marks  {
	display: block;
	width: 100%;
}

.level-1,
.level-2,
.level-3,
.level-4,
.level-5,
.level-6,
.level-7,
.level-8,
.level-9,
.level-10,
.level-11,
.level-12,
.level-13,
.level-14,
.level-15,
.level-16,
.level-17,
.level-18,
.level-19,
.level-20
{
	display: flex;
	justify-content: flex-start;
	width: 100%;
}

.level-1 { margin-left: 0px; }
.level-2 { margin-left: 16px; }
.level-3 { margin-left: 32px; }
.level-4 { margin-left: 48px; }
.level-5 { margin-left: 64px; }
.level-6 { margin-left: 80px; }
.level-7 { margin-left: 96px; }
.level-8 { margin-left: 112px; }
.level-9 { margin-left: 128px; }
.level-10 { margin-left: 144px; }
.level-11 { margin-left: 160px; }
.level-12 { margin-left: 176px; }
.level-13 { margin-left: 192px; }
.level-14 { margin-left: 208px; }
.level-15 { margin-left: 224px; }
.level-16 { margin-left: 240px; }
.level-17 { margin-left: 256px; }
.level-18 { margin-left: 272px; }
.level-19 { margin-left: 288px; }
.level-20 { margin-left: 304px; }

.folder-icon {
	height:14px;
}

.icon-key {
	height: 0.9em;
	margin-right: 1px;
}

.folder-link  {
	display: block;
	overflow: hidden;
	margin-right: 2px;
	margin-top: 0px;
	margin-bottom: 0px;
	padding-left: 2px;
	padding-right: 2px;
	border-radius:5px;
}

a[class^="folder-link"]{

	font-size: 0.9em;
	color: black;

    font-weight: bold;
}

.link-link  {
	display: block;
	overflow: hidden;
	margin-right: 2px;
	margin-top: 0px;
	margin-bottom: 0px;
	padding-left: 2px;
	padding-right: 2px;
	padding-top: 0px;
	padding-bottom: 0px;
	border-radius:5px;
}

a[class^="link-link"]{
	font-size: 0.9em;
	color: black;
}

.folder-link:hover, .link-link:hover {
	background: #f2f2f2;
}

.note-link  {
	display: block;
	overflow: hidden;
	margin-right: 2px;
	margin-top: 0px;
	margin-bottom: 0px;
	padding-top: 0px;
	padding-bottom: 0px;
	padding-left: 2px;
	padding-right: 2px;
	font-size: 0.9em;
	font-style: italic;
	background: #FDFEDC;
	border-radius:5px;
	color: black;
}

.user {
	font-style: italic;
	margin-left: 10px;
}

.user-marks {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	font-size: 0.8em;
    border-radius: 4px;
	background: #FFFFFF;
	margin-right: 0px;
	text-align: center;
}

.user-marks:hover {
	background: #E7B8BA;
}



.modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 ) 
                url('/images/wait.gif') 
                50% 50% 
                no-repeat;
}

body.loading .modal {
    overflow: hidden;   
}

body.loading .modal {
    display: block;
}


.bottom-article {
	display: block;
	min-height: 65px;
}


footer {
	position: fixed;
	bottom: 0px;
	display: flex;
	max-width: 750px;

	left: 50%;
	transform: translateX(-50%);

	
	width:100%;
	justify-content: flex-start;
	flex-wrap: wrap;

/*
	border-bottom-left-radius: 20px;
	border-bottom-right-radius: 20px;
*/
	border: 1px solid #a6a6a6;
	border-top: none;
    background: #fff;

}

.actions {
	display: flex;
	justify-content: center;
	align-items: center;
	max-width: 750px;
	width: 100%;
	top: 0;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	padding-top: 2px;
	padding-bottom: 2px;	
}


.icon {
	height:  15px;
}

.label-actions {
	font-size: 0.8em;
}

.delete, .add-folder, .add-link, .add-note, .private, .public, .edit, .tag, .minus-vote, .plus-vote{
	display: flex;
	justify-content: center;
	align-items: center;
    border-radius: 5px;
	margin-left: 5px;
	margin-right: 5px;
	margin-bottom: 5px;
	padding-left: 8px;
	padding-right: 8px;
	height:30px;
	width: 30px;
	background: #f2f2f2;
	border-style: solid;
    border-width: 1px;
    border-color: #BFBFBF;
}


.delete img, .add-folder img, .add-link img, .add-note img, .private img, .public img , .edit img, .tag img, .minus-vote img, .plus-vote img{
	display: block;
	cursor: pointer;
}

.footer-links {
	display: flex;
	
	justify-content: center;
	flex-wrap: wrap;
	max-width: 750px;
	width: 100%;

	padding: 5px;
	border-top: 1px solid #a6a6a6;

}


.copyright {
	font-size:0.8em;
	padding-left: 5px;
	text-decoration: none;
    display: block;
	width: 55%;
	cursor: pointer;
}

.legal-info {
	display: flex;
	justify-content: center;
	font-size:0.8em;
	width: 30%;
	padding-right: 5px;
	cursor: pointer;
}

.contact {
	display: flex;
	justify-content: center;
	font-size:0.8em;
	width: 15%;
	cursor: pointer;
}


.link-footer:hover {
    display: block;
	background: #f2f2f2;
}

h1 {
	font-size: 1.5em;
}

h2 {
	font-size: 1.2em;
}

.cookies-list {
	display: inline-block;
	text-align:left;
	
}

.cookies-list li {
	list-style-position: inside;
}

.email {
  	margin-top: 20%;
	text-align:center;
	font-size: 1em;
    width: 100%;
}


.cookies {
	position: fixed;
	bottom: 0px;
	display: flex;
/*	max-width: 750px;*/

/*	left: 50%;
	transform: translateX(-50%);*/

	

	width:100%;
	justify-content: center;
	flex-wrap: wrap;

	border: 1px solid #a6a6a6;
/*	border-top: none; */
    background: #fff;
	
	z-index: 1;
}

.cookies-button {
	display: inline-block;
	font-size: 0.8em;
}


/* Break point for mobile devices */

@media only screen and (max-width : 480px) {

	.search-text-field {
		width: 220px;
	}

	.top-message {
		padding-top: 5px;
		padding-bottom: 5px;
		font-size: 0.9em;
	}

	ul.tabs li {
		margin-left:1px;
		padding-left:3px;
		padding-right:3px;
	}

	.user-clicks {
		display: none;
	}

	.high , .medium, .low, .grey {
		width: 35px;
	}

	.user-marks {
		display: none;
	}

	.bottom-article {
		min-height: 75px;
	}


	.label-actions {
		display: none;
	}

	.delete, .add-folder, .add-link, .add-note, .private, .public, .edit, .tag, .minus-vote, .plus-vote {
		border-radius: 5px;
		margin-left: 2px;
		margin-right: 2px;
		margin-bottom: 5px;
		padding-left: 5px;
		padding-right: 5px;
		height:20px;
		width: 20px;
		background: #f2f2f2;
		border-style: solid;
		border-width: 1px;
		border-color: #BFBFBF;
	}

	.copyright {
		width: 100%;
		text-align: center;
	}

	.legal-info {
		width: 100%;
		text-align: center;
	}

	.contact {
		width: 100%;
		text-align: center;
	}

}
